

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws.Tasks &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="pywws.LogData" href="pywws.LogData.html" />
    <link rel="prev" title="EWtoPy" href="EWtoPy.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.LogData.html" title="pywws.LogData"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="EWtoPy.html" title="EWtoPy"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-pywws.Tasks">
<span id="pywws-tasks"></span><h1>pywws.Tasks<a class="headerlink" href="#module-pywws.Tasks" title="Permalink to this headline">¶</a></h1>
<p>Routines to perform common tasks such as plotting gaphs or uploading files.</p>
<p class="rubric">Classes</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#pywws.Tasks.RegularTasks" title="pywws.Tasks.RegularTasks"><tt class="xref py py-obj docutils literal"><span class="pre">RegularTasks</span></tt></a>(params,&nbsp;calib_data,&nbsp;...)</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="class">
<dt id="pywws.Tasks.RegularTasks">
<em class="property">class </em><tt class="descclassname">pywws.Tasks.</tt><tt class="descname">RegularTasks</tt><big>(</big><em>params</em>, <em>calib_data</em>, <em>hourly_data</em>, <em>daily_data</em>, <em>monthly_data</em><big>)</big><a class="reference internal" href="../_modules/pywws/Tasks.html#RegularTasks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Tasks.RegularTasks" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="pywws.Tasks.RegularTasks.has_live_tasks">
<tt class="descname">has_live_tasks</tt><big>(</big><big>)</big><a class="reference internal" href="../_modules/pywws/Tasks.html#RegularTasks.has_live_tasks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Tasks.RegularTasks.has_live_tasks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.Tasks.RegularTasks.do_live">
<tt class="descname">do_live</tt><big>(</big><em>data</em><big>)</big><a class="reference internal" href="../_modules/pywws/Tasks.html#RegularTasks.do_live"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Tasks.RegularTasks.do_live" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.Tasks.RegularTasks.do_tasks">
<tt class="descname">do_tasks</tt><big>(</big><big>)</big><a class="reference internal" href="../_modules/pywws/Tasks.html#RegularTasks.do_tasks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Tasks.RegularTasks.do_tasks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.Tasks.RegularTasks.do_twitter">
<tt class="descname">do_twitter</tt><big>(</big><em>template</em>, <em>data=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/Tasks.html#RegularTasks.do_twitter"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Tasks.RegularTasks.do_twitter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.Tasks.RegularTasks.do_plot">
<tt class="descname">do_plot</tt><big>(</big><em>template</em><big>)</big><a class="reference internal" href="../_modules/pywws/Tasks.html#RegularTasks.do_plot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Tasks.RegularTasks.do_plot" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.Tasks.RegularTasks.do_template">
<tt class="descname">do_template</tt><big>(</big><em>template</em>, <em>data=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/Tasks.html#RegularTasks.do_template"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Tasks.RegularTasks.do_template" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="EWtoPy.html"
                        title="previous chapter">EWtoPy</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pywws.LogData.html"
                        title="next chapter">pywws.LogData</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.LogData.html" title="pywws.LogData"
             >next</a> |</li>
        <li class="right" >
          <a href="EWtoPy.html" title="EWtoPy"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>